DeveloperRegister an app
Menu

Pagination

Endpoints that can return a lot of rows, /shifts and /mileage, paginate by cursor.

Parameters

ParameterRequiredDescription
cursorNoThe next_cursor of the previous page.
limitNoMax results per page. Default 100, max 500.

Response shape

A paginated response includes next_cursor, nullable. Pass its value as cursor on the next request; a null value means there are no more pages. A cursor that is not one the API returned is answered with 400.

curl
curl -X GET "https://app.sparro.dk/api/v2/shifts?limit=100" \
  -H "Authorization: Bearer $SPARRO_ACCESS_TOKEN"